Bug 246176 - wodim returns random supported modes with sata drive and fails to burn
wodim returns random supported modes with sata drive and fails to burn
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cdrkit (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-28 19:41 EDT by Pedro Fernandes Macedo
Modified: 2009-01-24 17:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:44:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg of the machine (58.79 KB, application/octet-stream)
2007-06-28 19:41 EDT, Pedro Fernandes Macedo
no flags Details

  None (edit)
Description Pedro Fernandes Macedo 2007-06-28 19:41:19 EDT
Running wodim dev=/dev/scd0 -checkdrive returns all sorts of uspported modes.
And they aren't the same between runs. Bellow are a few samples of results I got:

Supported modes: RAW/R16
Supported modes: SAO
Supported modes: SAO SAO/R96R
Supported modes: PACKET RAW/R16 RAW/R96R
Supported modes: 
Supported modes: TAO

The drive is a pioneer DVD-RW  DVR-212D sata, attached to a via sata controller 
00:01.0 PCI bridge: VIA Technologies, Inc. VT8237 PCI bridge [K8T800/K8T890
South] . Because of this problem, all attempts of burning fail. Also, when you
run wodim dev=/dev/scd0 someiso.iso and you're lucky to hit the time the driver
returns TAO as a valid mode, the processes fails with Cannot init drive:

[root@tirael ~]# wodim dev=/dev/scd0
~pmacedo/live/Fedora-7-Live-i686/Fedora-7-Live-i686.iso 
wodim: No write mode specified.
wodim: Asuming -tao mode.
wodim: Future versions of wodim may have different drive dependent defaults.
Device type    : Removable CD-ROM
Version        : 5
Response Format: 2
Capabilities   : 
Vendor_info    : 'PIONEER '
Identification : 'DVD-RW  DVR-212D'
Revision       : '1.09'
Device seems to be: Generic mmc2 DVD-R/DVD-RW.
Using generic SCSI-3/mmc   CD-R/CD-RW driver (mmc_cdr).
Driver flags   : MMC-3 SWABAUDIO BURNFREE 
Supported modes: TAO RAW/R96P
wodim: Cannot init drive.
[root@tirael ~]# 


The same drive works correctly under windows. Tested with wodim from fedora DVD
as well as wodim-1.1.6-1.fc7, both with same results. 

With another drive (a LG HL-DT-ST GSA-4040B in an usb cage), it works fine. 


Version-Release number of selected component (if applicable):
wodim-1.1.6-1.fc7

How reproducible: Always. Any execution of wodim returns different results. 


Steps to Reproduce:
1. run wodim dev=/dev/scd0 -checkdrive
  
Actual results:
Wodim returns random modes and fails to burn any cd.

Expected results:
Wodim should return the valid set of supported modes and should succeed to burn.

Additional info:
Comment 1 Pedro Fernandes Macedo 2007-06-28 19:41:19 EDT
Created attachment 158173 [details]
dmesg of the machine
Comment 2 Harald Hoyer 2007-09-21 04:49:11 EDT
Vendor_info    : 'PIONEER '

I remember PIONEER drives had problems even with the original cdrtools.
Comment 3 Bug Zapper 2008-05-14 09:19:20 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2008-06-16 21:44:17 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Jörg Schilling 2009-01-24 17:50:08 EST
Wodim is known to have no proper DVD sopport, I recommend you to check
recent original software from:

ftp://ftp.berlios.de/pub/cdrecord/alpha/

Note You need to log in before you can comment on or make changes to this bug.